#Firefox OS Quick Start#

This guide and sample app have been assembled to get you up and running with an open web app in five minutes!

Included within this Quick Start Guide is:

*  A complete application stub that runs out of the box
*  Sample JavaScript feature detection and CSS media query (responsive design) code
*  Mortar-based simple UI framework with ZeptoJS

##Installation##

###1.  Clone this repository###
	git clone git@github.com:mozilla/firefoxos-quick-start.git

###2.  Install volo###
	npm install -g volo

You may need to use `sudo npm install -g volo` if your user doesn't have admin permissions.

###3.  Run the app!###
	cd firefoxos-quick-start/app
	volo serve

###4.  Visit in browser or Firefox OS Simulator###
	http://localhost:8008

##Resources##

###Firefox OS Resources###
*  [Firefox Marketplace](https://marketplace.firefox.com)
*  [Firefox OS Simulator](https://marketplace.firefox.com/developers/docs/firefox_os_simulator)
*  [Mortar: Open Web App Templates](https://github.com/mozilla/mortar)
*  [Creating the AreaTweet App](https://developer.mozilla.org/en-US/docs/Apps/Tutorials/General)
*  [Firefox OS Building Blocks to the Rescue - Style Elements Like Firefox OS](https://hacks.mozilla.org/2013/02/firefox-os-building-blocks-to-the-rescue/)

###Client-side Techniques###
*  [WebAPI Documentation on MDN](https://developer.mozilla.org/en-US/docs/WebAPI)
*  [CSS Media Queries](https://developer.mozilla.org/en-US/docs/CSS/Media_queries)
*  [Modernizr: Feature Detection Library](http://modernizr.com)
*  [Mozilla Developer Network](https://developer.mozilla.org)
*  [WebPlatform](http://www.webplatform.org)
*  [QUnit Testing Library](http://qunitjs.com/)
